Start a new topic

SDK 7.2 - Problem with

Hi, I have this error when to trying to install the new wikitude 7.2 via cordova CLI.

My cordova, cordova-ios, and xcode are up-to-date. 

Running command: /Users/amaurybelin/dev/MuseoPic1/plugins/com.wikitude.phonegap.WikitudePlugin/scripts/ /Users/amaurybelin/dev/MuseoPic1
Reconstructing WikitudeSDK.framework content. In case this script fails, please contact Wikitude support.
'./platforms/ios/MuseoPic/Plugins/com.wikitude.phonegap.WikitudePlugin/WikitudeSDK.framework' is a valid Wikitude SDK.
Unexpected number of architectures found in WikitudeSDK. lipo output following
Architectures in the fat file: ./platforms/ios/MuseoPic.xcarchive/Products/Applications/ are: armv7 arm64
Failed to install 'com.wikitude.phonegap.WikitudePlugin': Error: Hook failed with error code 255: /Users/amaurybelin/dev/MuseoPic1/plugins/com.wikitude.phonegap.WikitudePlugin/scripts/
    at /Users/amaurybelin/.nvm/versions/node/v7.10.0/lib/node_modules/cordova/node_modules/cordova-lib/src/hooks/HooksRunner.js:231:23
    at _rejected (/Users/amaurybelin/.nvm/versions/node/v7.10.0/lib/node_modules/cordova/node_modules/q/q.js:864:24)
    at /Users/amaurybelin/.nvm/versions/node/v7.10.0/lib/node_modules/cordova/node_modules/q/q.js:890:30
    at Promise.when (/Users/amaurybelin/.nvm/versions/node/v7.10.0/lib/node_modules/cordova/node_modules/q/q.js:1142:31)
    at Promise.promise.promiseDispatch (/Users/amaurybelin/.nvm/versions/node/v7.10.0/lib/node_modules/cordova/node_modules/q/q.js:808:41)
    at /Users/amaurybelin/.nvm/versions/node/v7.10.0/lib/node_modules/cordova/node_modules/q/q.js:624:44
    at runSingle (/Users/amaurybelin/.nvm/versions/node/v7.10.0/lib/node_modules/cordova/node_modules/q/q.js:137:13)
    at flush (/Users/amaurybelin/.nvm/versions/node/v7.10.0/lib/node_modules/cordova/node_modules/q/q.js:125:13)
    at _combinedTickCallback (internal/process/next_tick.js:73:7)
    at process._tickCallback (internal/process/next_tick.js:104:9)
(node:44585) UnhandledPromiseRejectionWarning: Unhandled promise rejection (rejection id: 1): Error: Hook failed with error code 255: /Users/amaurybelin/dev/MuseoPic1/plugins/com.wikitude.phonegap.WikitudePlugin/scripts/
(node:44585) DeprecationWarning: Unhandled promise rejections are deprecated. In the future, promise rejections that are not handled will terminate the Node.js process with a non-zero exit code.


Hi Amaury,

I assume you didn't modify the Wikitude SDK in any way before you tried to install it (removing architectures, ..)?

Am I right that you simply tried to update the installation of the Wikitude Plugin on a existing project? Can you send detailed steps what you did (commands) to update?

Best regards,



cordova plugin rm com.wikitude.phonegap.WikitudePlugin
cordova plugin add

 I also tried this between the 2 commands


cordova clean ios


I removed the script I had in the build phase.

Could it be that `cordova plugin rm com.wikitude.phonegap.WikitudePlugin` does not remove all occurrences of the WikitudeSDK.framework?! So the old one stays and then the script that is running in the new version still finds the old one (during installation) which is already stripped?

Could you try to remove the Wikitude Cordova Plguin again from your project, manually search for all `WikitudeSDK.framework` occurrences, delete them and then try to install the Wikitude Cordova Plugin again?

With the last release we updated the shell script so that they now only modify the .framework in the DerivedData folder of Xcode and no longer outside of that.

Best regards,


I fixed my problem by removing and adding ios platform

cordova platform rm ios
cordova platform add ios

 I should have tried that before asking. Thanks for your help !

Login or Signup to post a comment